Subject: [ippm] Erik Kline's No Objection on draft-ietf-ippm-capacity-metric-method-06: (with COMMENT)

From: Erik Kline via Datatracker <[email-masked]>
Date: Tue, 23 Feb 2021 22:36:52 -0800

Erik Kline has entered the following ballot position for
draft-ietf-ippm-capacity-metric-method-06: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-ippm-capacity-metric-method/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

[[ comments ]]

[ section 4 ]

* RFC 6438 isn't only about flow label treatment at Tunnel End Points, since
  other devices in the network can do ECMP where the flow label is part of
  the flow.

  Maybe just a full stop after "when routers have complied with RFC6438
  guidelines."?

[[ questions ]]

[ sections 5.6/6.6/7.4 ]

* Should the "megabit = 1,000,000 bits" text from section 6.6 be also used
  in sections 5.6 and 7.4, or even called out separately earlier on?

  (Maybe it's just my own experience, but I've found that, while "mibi" 100%
  of the time means base 2, "mega" only mostly means base 10 and occasionally
  can still be interpreted as base 2.)

[[ nits ]]

[ section 2 ]

* "Also, to foster the development..."

  This appears to be a sentence fragment rather than a grammatically correct
  sentence.  I assume the point is to say that fostering the development ...
  is also goal of the document.

* "The supporting" -> "Supporting the", might read more naturally?

[ section 5.4 ]

* "The statistics used to to summarize" -> "The statistics used to summarize"

[ section 6.5 ]

* "so that is" -> "so that it is"?

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Wed, 24 Feb 2021 14:12:11 +0000

Hi Erik, thanks for your review and comments.
Please see replies below [acm], all changes have been implemented in the working version.

regards,
Al

> -----Original Message-----
> From: Erik Kline via Datatracker [mailto:[email-masked]]
> Sent: Wednesday, February 24, 2021 1:37 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked];
> [email-masked]; Ian Swett <[email-masked]>; [email-masked];
> [email-masked]
> Subject: Erik Kline's No Objection on draft-ietf-ippm-capacity-metric-
> method-06: (with COMMENT)
> 
...
[acm] 
This change is fine with me.

>   in sections 5.6 and 7.4, or even called out separately earlier on?
[acm] 
Thanks for your suggestion.
I added " (which is 1,000,000 bits per second to avoid any confusion)"
in 5.6 and 7.4. (this may have been an earlier comment intended to apply everywhere).

>   can still be interpreted as base 2.)
[acm] 
We share that experience. Others might ask, "what's a kibibit?"

>   is also goal of the document.
[acm] 
Thanks, I re-wrote that sentence as follows:

Fostering the development of protocol support for this metric and method of measurement is also a goal of this memo (all active testing protocols currently defined by the IPPM WG are UDP-based, meeting a key requirement of these methods).

> * "The supporting" -> "Supporting the", might read more naturally?
[acm] 
It might, except we would then have two sentences in a row (with the change above) beginning:
Fostering the...
Supporting the...

I left "The supporting" as-is.

> * "The statistics used to to summarize" -> "The statistics used to summarize"
[acm] 
Thanks

> * "so that is" -> "so that it is"?
[acm] 
Thanks

---

From: Erik Kline <[email-masked]>
Date: Wed, 24 Feb 2021 10:25:53 -0800

Thanks!